(function () {
	'use strict';

	window.app.controller('MovementReportController', MovementReportController);

	MovementReportController.$inject = ['$scope', 'reportSvc', 'downloadSvc'];
	function MovementReportController($scope, reportSvc, downloadSvc) {
		var vm = this;
		vm.loadData = reportSvc.loadMovementData;
		vm.movementData = reportSvc.movementData;
		vm.export = function(month) {
			reportSvc.exportMovementData({month: month})
				.success(downloadSvc.success);
		}
	}
})();